using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate660 : MulticastDelegate
{
	public extern void Invoke(ref AsyncTaskMethodBuilder asyncTaskMethodBuilder_0);

	public static void smethod_0(ref AsyncTaskMethodBuilder asyncTaskMethodBuilder_0, Delegate660 delegate660_1)
	{
		delegate660_1(ref asyncTaskMethodBuilder_0);
	}

	public extern Delegate660(object object_0, IntPtr intptr_0);

	static Delegate660()
	{
		Class10.smethod_13(typeof(Delegate660).TypeHandle);
	}

	internal static Delegate660 delegate660_0;
}
